Bug Hunting Session
Bug 100332 - With OpenGL rendering many UI labels are unreadable due to low or no contrast to background
Summary: With OpenGL rendering many UI labels are unreadable due to low or no contrast...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, regression
Depends on:
Blocks: Font-Rendering VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-06-11 15:34 UTC by V Stuart Foote
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-06-11 15:34:14 UTC
On the Windows builds, when OpenGL rendering is enabled many of the text labels are rendered with little or no contrast to the background. Noticible in the StartCenter, the Help -> About, on tooltips and on some of the Main menu dropdown entries.

Was OK through
Build ID: 29e0b587df4e509558c22fa478992b07486828d1

first noticed with
Build ID: 1fc4af8695ae0ffb7590198e0d3791a19084a99b
Comment 2 Aron Budea 2016-06-12 22:28:34 UTC
Reproduced.
Version: 5.3.0.0.alpha0+ Build ID: c0d7dfa56c8a335bdea1be2ddce33a0f19b28bbd
Comment 3 Tomaz Vajngerl 2016-06-13 08:14:59 UTC
Oh, I fixed this in [1] I think. This should be a problem only on master.

[1]: https://cgit.freedesktop.org/libreoffice/core/commit/?id=76d4cda6170eedef3596ff6b5b9ef89b9c8d7c83
Comment 4 V Stuart Foote 2016-06-15 20:48:45 UTC
On Windows 10 Pro 64-bit en-US and Windows 8.1 Ent 64-bit en-US with
Version: 5.3.0.0.alpha0+
Build ID: 58959a946c0a412c3f997d8511eacb316626cd42
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-06-15_12:04:53
Locale: en-US (en_US)

Setting this resolved fixed, but now have bug 100411